Patient $submission-status

get/Patient/$submission-status/{submissionStatusId}
Page View

This resource establishes demographics and identifiers for an individual visiting or receiving treatment from a healthcare organization. A patient record serves as the most common base for data being exchanged since it establishes the “who” behind the data. 

You can review, retrieve, create, or update patient records.

The other operations are specific to Verato and CMS ACCESS (Advancing Chronic Care with Effective, Scalable Solutions). You must register and be approved to participate in CMS ACCESS. Learn more about CMS ACCESS.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$submission-status

Check the status of a submitted $check-eligibility, $align, $unalign, or $report-data request.

This returns an “Accepted” status while processing and the final result or error details once complete.

We support this operation for completeness and compliance with the ACCESS specification.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Patient/$submission-status/{submissionStatusId}' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN'

Response fields and example

CmsAccessSubmissionStatusOutputExample
json
1
{}

    Terminal status payload returned by the CMS ACCESS $submission-status operation. The specific result codes depend on which operation created the submission.

  • result
    required, object

    The terminal status of the submission.

    • coding
      Array of object

      A reference to a code defined by a terminology system.

      • system
        string

        The identification of the code system that defines the meaning of the symbol in the code.

      • code
        string

        A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

    • text
      string

      A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user.

  • issues
    object

    Additional diagnostic information about the submission outcome, when present.

    • resourceType
      required, string

      Identifies the type of the resource

      Value: OperationOutcome
    • issue
      required, Array of object

      A structured respresentation of the error that occurred

      • severity
        required, string

        Generally error or fatal

        Possible Values: fatal, error, warning, information
      • code
        required, string

        A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details

      • id
        string

        If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization.

      • details
        object

        Additional details about the error. This may be a text description of the error or a system code that identifies the error.

        • coding
          Array of object

          A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome

          • system
            string

            The identification of the code system that defines the meaning of the symbol in the code.

          • code
            string

            A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination).

        • text
          string

          A human-readable interpretation of the issue code

      • diagnostics
        string

        Additional diagnostic information about the issue.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.